JGraph X 1.3.0.0

## com.mxgraph.model
Class mxGraphModel.mxCollapseChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxCollapseChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxCollapseChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected java.lang.Object` `cell`
`protected boolean` `collapsed`
`protected boolean` `previous`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxCollapseChange(mxGraphModel model, java.lang.Object cell, boolean collapsed)`

Method Summary
`void` `execute()` Changes the root of the model.
`java.lang.Object` `getCell()`
`boolean` `getPrevious()`
`boolean` `isCollapsed()`

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected java.lang.Object cell

### collapsed

    protected boolean collapsed

### previous

    protected boolean previous

Constructor Detail

### mxGraphModel.mxCollapseChange

    public mxGraphModel.mxCollapseChange(mxGraphModel model,
                                         java.lang.Object cell,
                                         boolean collapsed)

Method Detail

### getCell

    public java.lang.Object getCell()

  Returns:
    the cell

### isCollapsed

    public boolean isCollapsed()

  Returns:
    the collapsed

### getPrevious

    public boolean getPrevious()

  Returns:
    the previous

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.